### Type parameters

- #### T

### Hierarchy

- ReadManyRequest<T, ScanInput, ScanOutput, ScanResponse<T>, ScanRequest<T>>
  - ScanRequest

## Index

### Constructors

- constructor

### Properties

- dynamoRx
- logger
- metadata
- modelClazz
- params
- secondaryIndex
- tableName
- DEFAULT_LIMIT
- INFINITE_LIMIT

### Methods

- doRequest
- exclusiveStartKey
- exec
- execCount
- execFetchAll
- execFullResponse
- execNoMap
- execSingle
- index
- limit
- mapFromDb
- returnConsumedCapacity
- where
- whereAttribute

## Constructors

### constructor

- new ScanRequest(dynamoRx: DynamoRx, modelClazz: ModelConstructor<T>): ScanRequest

- Overrides ReadManyRequest.constructor

  - Defined in dynamo/request/scan/scan.request.ts:10

  #### Parameters

  - ##### dynamoRx: DynamoRx

  - ##### modelClazz: ModelConstructor<T>

  #### Returns ScanRequest

## Properties

### dynamoRx

dynamoRx: DynamoRx

Inherited from BaseRequest.dynamoRx

- Defined in dynamo/request/base.request.ts:23

### Protected logger

logger: Logger

Overrides ReadManyRequest.logger

- Defined in dynamo/request/scan/scan.request.ts:10

### metadata

metadata: Metadata<T>

Inherited from BaseRequest.metadata

- Defined in dynamo/request/base.request.ts:25

### modelClazz

modelClazz: ModelConstructor<T>

Inherited from BaseRequest.modelClazz

- Defined in dynamo/request/base.request.ts:24

### params

params: ScanInput

Inherited from BaseRequest.params

- Defined in dynamo/request/base.request.ts:27

### Protected Optional secondaryIndex

secondaryIndex: SecondaryIndex<T>

Inherited from ReadManyRequest.secondaryIndex

- Defined in dynamo/request/read-many.request.ts:28

### tableName

tableName: string

Inherited from BaseRequest.tableName

- Defined in dynamo/request/base.request.ts:26

### Static DEFAULT_LIMIT

DEFAULT_LIMIT: number = 10

Inherited from ReadManyRequest.DEFAULT_LIMIT

- Defined in dynamo/request/read-many.request.ts:25

### Static INFINITE_LIMIT

INFINITE_LIMIT: number = -1

Inherited from ReadManyRequest.INFINITE_LIMIT

- Defined in dynamo/request/read-many.request.ts:26

## Methods

### Protected doRequest

- doRequest(params: ScanInput): Observable<ScanOutput>

- Overrides ReadManyRequest.doRequest

  - Defined in dynamo/request/scan/scan.request.ts:17

  #### Parameters

  - ##### params: ScanInput

  #### Returns Observable<ScanOutput>

### exclusiveStartKey

- exclusiveStartKey(key: Key | null): ScanRequest<T>

- Inherited from ReadManyRequest.exclusiveStartKey

  - Defined in dynamo/request/read-many.request.ts:45

  #### Parameters

  - ##### key: Key | null

    A map representing the start id which is included in next call, if null is delivered startKey will be removed from params

  #### Returns ScanRequest<T>

### exec

- exec(): Observable<T[]>

- Inherited from ReadManyRequest.exec

  Overrides StandardRequest.exec

  - Defined in dynamo/request/read-many.request.ts:126

  #### Returns Observable<T[]>

### execCount

- execCount(): Observable<number>

- Inherited from ReadManyRequest.execCount

  - Defined in dynamo/request/read-many.request.ts:112

  #### Returns Observable<number>

### execFetchAll

- execFetchAll(): Observable<T[]>

- Inherited from ReadManyRequest.execFetchAll

  - Defined in dynamo/request/read-many.request.ts:148

  fetches all pages. may uses all provisionedOutput, therefore for client side use cases rather use pagedDatasource (exec)

  #### Returns Observable<T[]>

### execFullResponse

- execFullResponse(): Observable<ScanResponse<T>>

- Inherited from ReadManyRequest.execFullResponse

  Overrides StandardRequest.execFullResponse

  - Defined in dynamo/request/read-many.request.ts:136

  #### Returns Observable<ScanResponse<T>>

### execNoMap

- execNoMap(): Observable<ScanOutput>

- Inherited from ReadManyRequest.execNoMap

  - Defined in dynamo/request/read-many.request.ts:91

  #### Returns Observable<ScanOutput>

### execSingle

- execSingle(): Observable<T | null>

- Inherited from ReadManyRequest.execSingle

  - Defined in dynamo/request/read-many.request.ts:97

  #### Returns Observable<T | null>

### index

- index(indexName: string): ScanRequest<T>

- Inherited from ReadManyRequest.index

  - Defined in dynamo/request/read-many.request.ts:55

  #### Parameters

  - ##### indexName: string

  #### Returns ScanRequest<T>

### limit

- limit(limit: number): ScanRequest<T>

- Inherited from ReadManyRequest.limit

  - Defined in dynamo/request/read-many.request.ts:67

  #### Parameters

  - ##### limit: number

  #### Returns ScanRequest<T>

### Protected mapFromDb

- mapFromDb(output: ScanOutput): Z

- Inherited from ReadManyRequest.mapFromDb

  - Defined in dynamo/request/read-many.request.ts:152

  #### Parameters

  - ##### output: ScanOutput

  #### Returns Z

### returnConsumedCapacity

- returnConsumedCapacity(level: ReturnConsumedCapacity): ReadManyRequest<T, ScanInput, ScanOutput, ScanResponse<T>, ScanRequest<T>>

- Inherited from BaseRequest.returnConsumedCapacity

  - Defined in dynamo/request/base.request.ts:48

  #### Parameters

  - ##### level: ReturnConsumedCapacity

  #### Returns ReadManyRequest<T, ScanInput, ScanOutput, ScanResponse<T>, ScanRequest<T>>

### where

- where(...conditionDefFns: ConditionExpressionDefinitionFunction[]): ScanRequest<T>

- Inherited from ReadManyRequest.where

  - Defined in dynamo/request/read-many.request.ts:85

  #### Parameters

  - ##### Rest ...conditionDefFns: ConditionExpressionDefinitionFunction[]

  #### Returns ScanRequest<T>

### whereAttribute

- whereAttribute<K>(attributePath: K): RequestConditionFunction<ScanRequest<T>, T, K>

- Inherited from ReadManyRequest.whereAttribute

  - Defined in dynamo/request/read-many.request.ts:81

  #### Type parameters

  - #### K: keyof T

  #### Parameters

  - ##### attributePath: K

  #### Returns RequestConditionFunction<ScanRequest<T>, T, K>

Generated using TypeDoc